class IssuesAndConcernsReportPresenter
  def initialize(video)
    @video = video
  end

  def project_name
    video.project.name
  end

  def video_name
    video.file.filename.to_s
  end

  def date_of_report
    BigMediaTime.time_zone_now.strftime("%D")
  end

  def unreleased_appearances
    video.unreleased_appearances.sort_by { |unreleased_appearance| unreleased_appearance.time_elapsed.to_f}
  end

  private

  attr_reader :video
end
